# This is the CRAN name
%global packname acepack
# This is the main package version
%global packver 1.4
%define packrel 1

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 3.el9.lc
Summary: Two nonparametric methods for multiple regression transform selection are provided.

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/cli/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: R-devel, tex(latex)
Requires: R-core

%description
R package:
Two nonparametric methods for multiple regression transform selection are provided.

The first, Alternative Conditional Expectations (ACE), is an algorithm to find the fixed point of maximal correlation, i.e. it finds a set of transformed response variables that maximizes R^2 using smoothing functions.  Also included is the Additivity Variance Stabilization (AVAS) method which works better than ACE when correlation is low.


%define debug_package %{nil}

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
# We have to use --no-install because we don't have all of the suggested
# dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/ace.doc
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/LICENSE
%{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/README
%{_libdir}/R/library/%{packname}/README.ace
%{_libdir}/R/library/%{packname}/README.avas

%changelog
* Thu May 1 2025 Stuart Raeburn <raeburn@loncapa.org> (1.4.1-3)
- Rebuild for R 4.5.0

* Fri Jun 21 2024 Stuart Raeburn <raeburn@loncapa.org> (1.4.1-2)
- Rebuild for R 4.4.0

* Tue May 9 2023 Stuart Raeburn <raeburn@loncapa.org> (1.4.1-1)
- Rebuild for R 4.3.0

* Mon Apr 24 2023 Stuart Raeburn <raeburn@loncapa.org> (1.4.1-0)
- Initial build for R 4.2.3

